Comment - List
Purpose
Retrieve a list of Comments based on attached_to_type and attached_to_internal_id which your API Credentials have access to.
Request
Endpoint
GET /comment
Authentication
Include your API Key within the x-api-key header as described here.
Parameters
The following table lists the parameters that this query supports. All of the parameters listed are query parameters.
| Parameter | Type | Definition |
|---|---|---|
| attached_to_type | string | The resource type ENUM("project","account","credit", "activity") |
| attached_to_internal_id | string | The unique ID of the resource on your internal system |
| internal_ids | string | comma seperated list of your internal string ids (optional) |
| ids | string | comma seperated list of Incentify integer ids (optional) |
| order | string | Can be "asc" (oldest first) or "desc" (most recent first) - default is "desc". |
| page | int | The page number of the results you want (set to 1, if not provided) |
Request Body
Do not provide a request body when calling this method.
Response
If successful, this method returns a response body with the following structure:
Response Body
{
"code":200,
"success":true,
"data": [
Comment Resources listed here... (See "Comment Overview" page)
],
"errors": [],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "[path_to_endpoint]",
"per_page": 50,
"to": 10,
"total": 10
},
"links": {
"first": "[path_to_endpoint]?page=1",
"last": "[path_to_endpoint]?page=1",
"prev": null,
"next": null
}
}
Properties
The following table defines the properties that appear in this resource:
| Key | Type | Definition |
|---|---|---|
| code | integer | HTTP Status Code (ie; 200, 403, etc). |
| success | boolean | Either true (success) or false (fail). |
| data | list | List of Comments returned. The data structure of each Comment is a Comment Resource. |
| errors | object | If the request fails, this will contain information about the error. |
| meta | object | Contains information about pagination and total record count. |
| links | object | Contains pre-built links for forward/backward pagination. |